<template>
  <div class="wrapper">
    <div
      class="signature"
      style="color: #888; font-size: 13px; line-height: 1.3em"
    >
      <img
        src="../images/gitlab-logo.png"
        width="100"
        style="margin-bottom: 1em"
      />
      <div>{{ name }}</div>
      <div>{{ jobTitle }}, {{ location }}</div>
      <div>
        <a :href="mailto">{{ email }}</a>
        <span v-if="linkedin">| <a :href="linkedin">Let's connect on Linkedin</a></span>
        <span v-if="twitter">| <a :href="twitter">Follow me on Twitter</a></span>
        <span v-if="phone">| {{ phone }}</span>
      </div>
      <br />
      <div>
        <strong>Create, Collaborate, and Deploy together</strong>
      </div>
      <div>
        <a href="https://about.gitlab.com/free-trial/">Free Trial</a> |
        <a href="https://about.gitlab.com/products/">Upgrade Now</a> |
        <a href="https://about.gitlab.com/support/">Contact Support</a> |
        <a href="https://docs.gitlab.com/">Online Docs</a>
      </div>
    </div>
  </div>
</template>

<script>
export default {
  name: 'Signature',
  props: {
    name: {
      type: String,
      required: true
    },
    jobTitle: {
      type: String,
      required: true
    },
    location: {
      type: String,
      required: true
    },
    email: {
      type: String,
      required: true
    },
    linkedin: {
      type: String,
      required: false
    },
    twitter: {
      type: String,
      required: false,
    },
    phone: {
      type: String,
      required: false,
    },
  },
  computed: {
    mailto() {
      return `mailto:${this.email}`;
    }
  }
}
</script>
